from taipy.gui import Gui, notify
from taipy.designer import Page

text = "Original text"


def on_button_action(state):
    notify(state, 'info', f'The text is: {state.text}')
    state.text = "Button Pressed"

page = Page("notify.xprjson")

Gui(page).run(design=True)